Index: src/FLEXPART.f90
===================================================================
--- src/FLEXPART.f90	(revision d8eed026ebec594e9a91de6c6fbc45b354a0e4b2)
+++ src/FLEXPART.f90	(revision fe32dca5c7e5a54238ac82b1dab620991c979f5c)
@@ -420,5 +420,5 @@
   !*********************************************
   if (lroot) then
-    if (lnokernel) then
+    if (.not.lusekerneloutput) then
       write(*,*) "Concentrations are calculated without using kernel"
     else
Index: src/FLEXPART_MPI.f90
===================================================================
--- src/FLEXPART_MPI.f90	(revision 7233c030841dc22a91d622dd99a3a7aa6c9ae864)
+++ src/FLEXPART_MPI.f90	(revision fe32dca5c7e5a54238ac82b1dab620991c979f5c)
@@ -453,5 +453,5 @@
 
   if (lroot) then
-    if (lnokernel) then
+    if (.not.lusekerneloutput) then
       write(*,*) "Concentrations are calculated without using kernel"
     else
Index: src/com_mod.f90
===================================================================
--- src/com_mod.f90	(revision 5184a7c7fc4985dfd336c4fd7fb8acacc26caef4)
+++ src/com_mod.f90	(revision fe32dca5c7e5a54238ac82b1dab620991c979f5c)
@@ -759,6 +759,6 @@
   logical :: lroot=.true. ! true if serial version, or if MPI .and. root process
   
-  logical :: interpolhmix=.false. ! true if the hmix shall be interpolated
-  logical :: turboff=.false.       ! true if the turbulence shall be switched off
+  logical, parameter :: interpolhmix=.false. ! true if the hmix shall be interpolated
+  logical, parameter :: turboff=.false.       ! true if the turbulence shall be switched off
   
   
Index: src/conccalc.f90
===================================================================
--- src/conccalc.f90	(revision 08a38b55d3749abb3d1df461e12c98d18b329a51)
+++ src/conccalc.f90	(revision fe32dca5c7e5a54238ac82b1dab620991c979f5c)
@@ -187,5 +187,6 @@
   !*****************************************************************************
 
-      if (lnokernel.or.(itage.lt.10800).or.(xl.lt.0.5).or.(yl.lt.0.5).or. &
+      if ((.not.lusekerneloutput).or.(itage.lt.10800).or. &
+           (xl.lt.0.5).or.(yl.lt.0.5).or. &
            (xl.gt.real(numxgrid-1)-0.5).or. &
            (yl.gt.real(numygrid-1)-0.5)) then             ! no kernel, direct attribution to grid cell
@@ -333,5 +334,6 @@
         if ((itage.lt.10800).or.(xl.lt.0.5).or.(yl.lt.0.5).or. &
              (xl.gt.real(numxgridn-1)-0.5).or. &
-             (yl.gt.real(numygridn-1)-0.5).or.(lnokernel)) then             ! no kernel, direct attribution to grid cell
+             (yl.gt.real(numygridn-1)-0.5).or.((.not.lusekerneloutput))) then
+! no kernel, direct attribution to grid cell
           if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgridn-1).and. &
                (jy.le.numygridn-1)) then
Index: src/conccalc_mpi.f90
===================================================================
--- src/conccalc_mpi.f90	(revision 08a38b55d3749abb3d1df461e12c98d18b329a51)
+++ src/conccalc_mpi.f90	(revision fe32dca5c7e5a54238ac82b1dab620991c979f5c)
@@ -200,5 +200,6 @@
   !*****************************************************************************
 
-      if (lnokernel.or.(itage.lt.10800).or.(xl.lt.0.5).or.(yl.lt.0.5).or. &
+      if ((.not.lusekerneloutput).or.(itage.lt.10800).or. &
+           (xl.lt.0.5).or.(yl.lt.0.5).or. &
            (xl.gt.real(numxgrid-1)-0.5).or. &
            (yl.gt.real(numygrid-1)-0.5)) then             ! no kernel, direct attribution to grid cell
@@ -348,5 +349,6 @@
         if ((itage.lt.10800).or.(xl.lt.0.5).or.(yl.lt.0.5).or. &
              (xl.gt.real(numxgridn-1)-0.5).or. &
-             (yl.gt.real(numygridn-1)-0.5)) then             ! no kernel, direct attribution to grid cell
+             (yl.gt.real(numygridn-1)-0.5).or.((.not.lusekerneloutput))) then
+! no kernel, direct attribution to grid cell
           if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgridn-1).and. &
                (jy.le.numygridn-1)) then
Index: src/drydepokernel.f90
===================================================================
--- src/drydepokernel.f90	(revision 2bec33eff0e52c1452ff0940aa3db5c57de9aa74)
+++ src/drydepokernel.f90	(revision fe32dca5c7e5a54238ac82b1dab620991c979f5c)
@@ -83,5 +83,5 @@
   !******************************************************
 
-  if (lnokernel) then
+  if (.not.lusekerneloutput) then
     do ks=1,nspec
       if ((abs(deposit(ks)).gt.0).and.DRYDEPSPEC(ks)) then
Index: src/makefile
===================================================================
--- src/makefile	(revision de4c5e9885c62eece05be19e1c0165ade923e201)
+++ src/makefile	(revision fe32dca5c7e5a54238ac82b1dab620991c979f5c)
@@ -48,7 +48,6 @@
 
 ifeq ($(gcc), 4.9)
-# Compiled libraries under users ~flexpart, gfortran v4.9
+# Compiled libraries under user ~flexpart, gfortran v4.9
 	ROOT_DIR = /homevip/flexpart/
-#	ROOT_DIR = /homevip/espen/
 
 	F90	  = ${ROOT_DIR}/gcc-4.9.1/bin/gfortran
@@ -58,4 +57,15 @@
 	INCPATH2  = ${ROOT_DIR}/include
 	LIBPATH1 = ${ROOT_DIR}/lib
+
+else ifeq ($(gcc), 5.4)
+# Compiled libraries under user ~flexpart, gfortran v5.4
+	ROOT_DIR = /homevip/flexpart/
+
+	F90	  = /usr/bin/gfortran
+	MPIF90    = /usr/bin/mpifort
+
+	INCPATH1  = ${ROOT_DIR}/gcc-5.4.0/include	
+	INCPATH2  = /usr/include
+	LIBPATH1 = ${ROOT_DIR}/gcc-5.4.0/lib
 
 else
Index: src/par_mod.f90
===================================================================
--- src/par_mod.f90	(revision de4c5e9885c62eece05be19e1c0165ade923e201)
+++ src/par_mod.f90	(revision fe32dca5c7e5a54238ac82b1dab620991c979f5c)
@@ -55,8 +55,8 @@
 
   !****************************************************************
-  ! Set to T to disable use of kernel for concentrations/deposition
-  !****************************************************************
-
-  logical, parameter :: lnokernel=.true.
+  ! Set to F to disable use of kernel for concentrations/deposition
+  !****************************************************************
+
+  logical, parameter :: lusekerneloutput=.true.
 
   !*********************************************************************
Index: src/timemanager.f90
===================================================================
--- src/timemanager.f90	(revision 6ecb30a41fb8a07e153abadc712699a09c15f90c)
+++ src/timemanager.f90	(revision fe32dca5c7e5a54238ac82b1dab620991c979f5c)
@@ -152,5 +152,5 @@
 !CGZ-lifetime: set lifetime to 0
   
-  if (lnokernel) write(*,*) 'Not using the kernel'
+  if (.not.lusekerneloutput) write(*,*) 'Not using the kernel'
   if (turboff) write(*,*) 'Turbulence switched off'
 
Index: src/wetdepokernel.f90
===================================================================
--- src/wetdepokernel.f90	(revision 2bec33eff0e52c1452ff0940aa3db5c57de9aa74)
+++ src/wetdepokernel.f90	(revision fe32dca5c7e5a54238ac82b1dab620991c979f5c)
@@ -80,5 +80,5 @@
   !******************************************************
 
-  if (lnokernel) then
+  if (.not.lusekerneloutput) then
     do ks=1,nspec
       if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgrid-1).and. &
